Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_DLList_Reverse_Iterator Class Template Reference

A double-linked list container class iterator. More...

`#include <Containers_T.h>`

Inheritance diagram for ACE_DLList_Reverse_Iterator

[legend]
Collaboration diagram for ACE_DLList_Reverse_Iterator:

[legend]
List of all members.

## Public Methods
| ACE_DLList_Reverse_Iterator (ACE_DLList<T> &l)
void | reset (ACE_DLList<T> &l)
int | advance (void)
| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1.
int | next (T *&)
| Pass back the <next_item> that hasn't been seen in the Stack. Returns 0 when all items have been seen, else 1.
T* | next (void) const
| Delegates to ACE_Double_Linked_List_Iterator. DEPRECATED.
int | remove (void)
| Removes the current item (i.e., <next>) from the list. Note that DLList iterators do not support directly (defined in its base class) and you will need to release the element returned by it.
void | dump (void) const
| Delegates to ACE_Double_Linked_List_Iterator.
## Private Attributes
ACE_DLList<T>* | list_
## Friends
class | ACE_DLList< T >
class | ACE_DLList_Node

## Detailed Description

### template<class T> template class ACE_DLList_Reverse_Iterator

A double-linked list container class iterator.

This implementation uses ACE_Double_Linked_List_Iterator to perform the logic behind this container class. It delegates all of its calls to ACE_Double_Linked_List_Iterator.

## Constructor & Destructor Documentation

template<classT>
ACE_INLINE ACE_DLList_Reverse_Iterator< T >::ACE_DLList_Reverse_Iterator<T> ( | ACE_DLList< T >& l )

## Member Function Documentation

template<classT>
ACE_INLINE int ACE_DLList_Reverse_Iterator< T >::advance ( | void )

| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1. Reimplemented from ACE_Double_Linked_List_Reverse_Iterator.

template<classT>
ACE_INLINE void ACE_DLList_Reverse_Iterator< T >::dump ( | void ) const

| Delegates to ACE_Double_Linked_List_Iterator. Reimplemented from ACE_Double_Linked_List_Reverse_Iterator.

template<classT>
ACE_INLINE T * ACE_DLList_Reverse_Iterator< T >::next ( | void ) const

| Delegates to ACE_Double_Linked_List_Iterator. DEPRECATED. Reimplemented from ACE_Double_Linked_List_Iterator_Base.

template<classT>
ACE_INLINE int ACE_DLList_Reverse_Iterator< T >::next ( | T *& ptr )

| Pass back the <next_item> that hasn't been seen in the Stack. Returns 0 when all items have been seen, else 1.

template<classT>
ACE_INLINE int ACE_DLList_Reverse_Iterator< T >::remove ( | void )

| Removes the current item (i.e., <next>) from the list. Note that DLList iterators do not support directly (defined in its base class) and you will need to release the element returned by it.

template<classT>
ACE_INLINE void ACE_DLList_Reverse_Iterator< T >::reset ( | ACE_DLList< T >& l )

| Retasks the iterator to iterate over a new Double_Linked_List. This allows clients to reuse an iterator without incurring the constructor overhead. If you do use this, be aware that if there are more than one reference to this iterator, the other "clients" may be very bothered when their iterator changes. @ Here be dragons. Comments?

## Friends And Related Function Documentation

template<classT>
class ACE_DLList`[friend]`

template<classT>
class ACE_DLList_Node`[friend]`

## Member Data Documentation

template<classT>
ACE_DLList< T >* ACE_DLList_Reverse_Iterator<T>::list_`[private]`

The documentation for this class was generated from the following files:

- Containers_T.h
- Containers_T.i